### Method

# Gio File equal

#### Declaration [src]

    gboolean
    g_file_equal (
      GFile* file1,
      GFile* file2
    )

#### Description [src]

Checks if the two given `GFiles` refer to the same file.

Note that two `GFiles` that differ can still refer to the same file on the filesystem due to various forms of filename aliasing.

This call does no blocking I/O.

#### Parameters

`file2`

  Type: `GFile`

  The second `GFile`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `file1` and `file2` are equal.